Bug 211665 - new package install changing mode of file to default umask
new package install changing mode of file to default umask
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: up2date (Show other bugs)
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Bret McMillan
Brandon Perkins
Depends On:
  Show dependency treegraph
Reported: 2006-10-20 13:56 EDT by Jeannette Koulouris
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-10-19 14:40:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jeannette Koulouris 2006-10-20 13:56:44 EDT
Description of problem:

New Server built with RHEL 3 Update 8
root default umask set to 077 per company security policy

From that point forward, installing a new package that 
modifies /etc/ld.so.conf results in /etc/ld.so.conf being left in mode 600 
rather than preserving the mode of 644. When this happens, without warning, 
users are unable to access /etc/ld.so.conf.

Installing an errata for a package which previously modified /etc/ld.so.conf 
did not switch the mode to 600; preserved it at 644.

Behavior is unexpected and unobvious. May not be restricted to 
just /etc/ld.so.conf.  High risk to any other files modified when a new 
package is installed.

Version-Release number of selected component (if applicable):

How reproducible: 

Steps to Reproduce:
1. set root umask to 077
2. Verify mode of /etc/ld.so.conf to be 644 (anything other than 600)
3. Install a new package the requires modification to /etc/ld.so.conf
Actual results:

Expected results:
/etc/ld.so.conf mode changed to 600

Additional info:
both yum or up2date were used and verfied problem on 2 different servers.
Comment 1 Red Hat Bugzilla 2007-04-11 21:30:42 EDT
User bnackash@redhat.com's account has been closed
Comment 2 RHEL Product and Program Management 2007-10-19 14:40:27 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
For more information of the RHEL errata support policy, please visit:
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.